### Enumeration

# Gtk DebugFlags

#### Declaration

    flags Gtk.DebugFlags

#### Description [src]

Flags to use with gtk_set_debug_flags().

Settings these flags causes GTK to print out different types of debugging information. Some of these flags are only available when GTK has been configured with `-Ddebug=true`.

#### Members

`GTK_DEBUG_TEXT`

  Information about GtkTextView.

  - Value: `1`
  - Available since: 4.0
`GTK_DEBUG_TREE`

  Information about GtkTreeView.

  - Value: `2`
  - Available since: 4.0
`GTK_DEBUG_KEYBINDINGS`

  Information about keyboard shortcuts.

  - Value: `4`
  - Available since: 4.0
`GTK_DEBUG_MODULES`

  Information about modules and extensions.

  - Value: `8`
  - Available since: 4.0
`GTK_DEBUG_GEOMETRY`

  Information about size allocation.

  - Value: `16`
  - Available since: 4.0
`GTK_DEBUG_ICONTHEME`

  Information about icon themes.

  - Value: `32`
  - Available since: 4.0
`GTK_DEBUG_PRINTING`

  Information about printing.

  - Value: `64`
  - Available since: 4.0
`GTK_DEBUG_BUILDER_TRACE`

  Trace GtkBuilder operation.

  - Value: `128`
  - Available since: 4.0
`GTK_DEBUG_SIZE_REQUEST`

  Information about size requests.

  - Value: `256`
  - Available since: 4.0
`GTK_DEBUG_NO_CSS_CACHE`

  Disable the style property cache.

  - Value: `512`
  - Available since: 4.0
`GTK_DEBUG_INTERACTIVE`

  Open the GTK inspector.

  - Value: `1024`
  - Available since: 4.0
`GTK_DEBUG_TOUCHSCREEN`

  Show touch UI elements for pointer events.

  - Value: `2048`
  - Available since: 4.20
`GTK_DEBUG_ACTIONS`

  Information about actions and menu models.

  - Value: `4096`
  - Available since: 4.0
`GTK_DEBUG_LAYOUT`

  Information from layout managers.

  - Value: `8192`
  - Available since: 4.0
`GTK_DEBUG_SNAPSHOT`

  Include debug render nodes in the generated snapshots.

  - Value: `16384`
  - Available since: 4.0
`GTK_DEBUG_CONSTRAINTS`

  Information from the constraints solver.

  - Value: `32768`
  - Available since: 4.0
`GTK_DEBUG_BUILDER_OBJECTS`

  Log unused GtkBuilder objects.

  - Value: `65536`
  - Available since: 4.0
`GTK_DEBUG_A11Y`

  Information about accessibility state changes.

  - Value: `131072`
  - Available since: 4.0
`GTK_DEBUG_ICONFALLBACK`

  Information about icon fallback.

  - Value: `262144`
  - Available since: 4.2
`GTK_DEBUG_INVERT_TEXT_DIR`

  Inverts the default text-direction.

  - Value: `524288`
  - Available since: 4.8
`GTK_DEBUG_CSS`

  Information about deprecated CSS features.

  - Value: `1048576`
  - Available since: 4.16
`GTK_DEBUG_BUILDER`

  Information about deprecated GtkBuilder features.

  - Value: `2097152`
  - Available since: 4.18
`GTK_DEBUG_SESSION`

  Information about session saving.

  - Value: `4194304`
  - Available since: 4.22